Package org.drinkless.tdlib

# Class TdApi.AttachmentMenuBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AttachmentMenuBot

Enclosing class:
  `TdApi`

public static class TdApi.AttachmentMenuBot extends TdApi.Object
Represents a bot, which can be added to attachment or side menu.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.File`
  `androidIcon`
  Icon for the bot in TGS format for the official Android app; may be null.
  `TdApi.File`
  `androidSideMenuIcon`
  Icon for the bot in SVG format for the official Android app side menu; may be null.
  `long`
  `botUserId`
  User identifier of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.File`
  `defaultIcon`
  Default icon for the bot in SVG format; may be null.
  `TdApi.AttachmentMenuBotColor`
  `iconColor`
  Color to highlight selected icon of the bot if appropriate; may be null.
  `TdApi.File`
  `iosAnimatedIcon`
  Icon for the bot in TGS format for the official iOS app; may be null.
  `TdApi.File`
  `iosSideMenuIcon`
  Icon for the bot in PNG format for the official iOS app side menu; may be null.
  `TdApi.File`
  `iosStaticIcon`
  Icon for the bot in SVG format for the official iOS app; may be null.
  `boolean`
  `isAdded`
  True, if the bot was explicitly added by the user.
  `TdApi.File`
  `macosIcon`
  Icon for the bot in TGS format for the official native macOS app; may be null.
  `TdApi.File`
  `macosSideMenuIcon`
  Icon for the bot in PNG format for the official macOS app side menu; may be null.
  `String`
  `name`
  Name for the bot in attachment menu.
  `TdApi.AttachmentMenuBotColor`
  `nameColor`
  Color to highlight selected name of the bot if appropriate; may be null.
  `boolean`
  `requestWriteAccess`
  True, if the user must be asked for the permission to send messages to the bot.
  `boolean`
  `showDisclaimerInSideMenu`
  True, if a disclaimer, why the bot is shown in the side menu, is needed.
  `boolean`
  `showInAttachmentMenu`
  True, if the bot must be shown in the attachment menu.
  `boolean`
  `showInSideMenu`
  True, if the bot must be shown in the side menu.
  `boolean`
  `supportsBotChats`
  True, if the bot supports opening from attachment menu in private chats with other bots.
  `boolean`
  `supportsChannelChats`
  True, if the bot supports opening from attachment menu in channel chats.
  `boolean`
  `supportsGroupChats`
  True, if the bot supports opening from attachment menu in basic group and supergroup chats.
  `boolean`
  `supportsSelfChat`
  True, if the bot supports opening from attachment menu in the chat with the bot.
  `boolean`
  `supportsUserChats`
  True, if the bot supports opening from attachment menu in private chats with ordinary users.
  `TdApi.File`
  `webAppPlaceholder`
  Default placeholder for opened Web Apps in SVG format; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentMenuBot()`
  Represents a bot, which can be added to attachment or side menu.
  `AttachmentMenuBot(long botUserId, boolean supportsSelfChat, boolean supportsUserChats, boolean supportsBotChats, boolean supportsGroupChats, boolean supportsChannelChats, boolean requestWriteAccess, boolean isAdded, boolean showInAttachmentMenu, boolean showInSideMenu, boolean showDisclaimerInSideMenu, String name, TdApi.AttachmentMenuBotColor nameColor, TdApi.File defaultIcon, TdApi.File iosStaticIcon, TdApi.File iosAnimatedIcon, TdApi.File iosSideMenuIcon, TdApi.File androidIcon, TdApi.File androidSideMenuIcon, TdApi.File macosIcon, TdApi.File macosSideMenuIcon, TdApi.AttachmentMenuBotColor iconColor, TdApi.File webAppPlaceholder)`
  Represents a bot, which can be added to attachment or side menu.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the bot.

  - ### supportsSelfChat

    public boolean supportsSelfChat
    True, if the bot supports opening from attachment menu in the chat with the bot.

  - ### supportsUserChats

    public boolean supportsUserChats
    True, if the bot supports opening from attachment menu in private chats with ordinary users.

  - ### supportsBotChats

    public boolean supportsBotChats
    True, if the bot supports opening from attachment menu in private chats with other bots.

  - ### supportsGroupChats

    public boolean supportsGroupChats
    True, if the bot supports opening from attachment menu in basic group and supergroup chats.

  - ### supportsChannelChats

    public boolean supportsChannelChats
    True, if the bot supports opening from attachment menu in channel chats.

  - ### requestWriteAccess

    public boolean requestWriteAccess
    True, if the user must be asked for the permission to send messages to the bot.

  - ### isAdded

    public boolean isAdded
    True, if the bot was explicitly added by the user. If the bot isn't added, then on the first bot launch toggleBotIsAddedToAttachmentMenu must be called and the bot must be added or removed.

  - ### showInAttachmentMenu

    public boolean showInAttachmentMenu
    True, if the bot must be shown in the attachment menu.

  - ### showInSideMenu

    public boolean showInSideMenu
    True, if the bot must be shown in the side menu.

  - ### showDisclaimerInSideMenu

    public boolean showDisclaimerInSideMenu
    True, if a disclaimer, why the bot is shown in the side menu, is needed.

  - ### name

    public String name
    Name for the bot in attachment menu.

  - ### nameColor

    @Nullable public TdApi.AttachmentMenuBotColor nameColor
    Color to highlight selected name of the bot if appropriate; may be null.

  - ### defaultIcon

    @Nullable public TdApi.File defaultIcon
    Default icon for the bot in SVG format; may be null.

  - ### iosStaticIcon

    @Nullable public TdApi.File iosStaticIcon
    Icon for the bot in SVG format for the official iOS app; may be null.

  - ### iosAnimatedIcon

    @Nullable public TdApi.File iosAnimatedIcon
    Icon for the bot in TGS format for the official iOS app; may be null.

  - ### iosSideMenuIcon

    @Nullable public TdApi.File iosSideMenuIcon
    Icon for the bot in PNG format for the official iOS app side menu; may be null.

  - ### androidIcon

    @Nullable public TdApi.File androidIcon
    Icon for the bot in TGS format for the official Android app; may be null.

  - ### androidSideMenuIcon

    @Nullable public TdApi.File androidSideMenuIcon
    Icon for the bot in SVG format for the official Android app side menu; may be null.

  - ### macosIcon

    @Nullable public TdApi.File macosIcon
    Icon for the bot in TGS format for the official native macOS app; may be null.

  - ### macosSideMenuIcon

    @Nullable public TdApi.File macosSideMenuIcon
    Icon for the bot in PNG format for the official macOS app side menu; may be null.

  - ### iconColor

    @Nullable public TdApi.AttachmentMenuBotColor iconColor
    Color to highlight selected icon of the bot if appropriate; may be null.

  - ### webAppPlaceholder

    @Nullable public TdApi.File webAppPlaceholder
    Default placeholder for opened Web Apps in SVG format; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttachmentMenuBot

    public AttachmentMenuBot()
    Represents a bot, which can be added to attachment or side menu.

  - ### AttachmentMenuBot

    public AttachmentMenuBot(long botUserId, boolean supportsSelfChat, boolean supportsUserChats, boolean supportsBotChats, boolean supportsGroupChats, boolean supportsChannelChats, boolean requestWriteAccess, boolean isAdded, boolean showInAttachmentMenu, boolean showInSideMenu, boolean showDisclaimerInSideMenu, String name, TdApi.AttachmentMenuBotColor nameColor, TdApi.File defaultIcon, TdApi.File iosStaticIcon, TdApi.File iosAnimatedIcon, TdApi.File iosSideMenuIcon, TdApi.File androidIcon, TdApi.File androidSideMenuIcon, TdApi.File macosIcon, TdApi.File macosSideMenuIcon, TdApi.AttachmentMenuBotColor iconColor, TdApi.File webAppPlaceholder)
    Represents a bot, which can be added to attachment or side menu.
    Parameters:
      `botUserId` - User identifier of the bot.
      `supportsSelfChat` - True, if the bot supports opening from attachment menu in the chat with the bot.
      `supportsUserChats` - True, if the bot supports opening from attachment menu in private chats with ordinary users.
      `supportsBotChats` - True, if the bot supports opening from attachment menu in private chats with other bots.
      `supportsGroupChats` - True, if the bot supports opening from attachment menu in basic group and supergroup chats.
      `supportsChannelChats` - True, if the bot supports opening from attachment menu in channel chats.
      `requestWriteAccess` - True, if the user must be asked for the permission to send messages to the bot.
      `isAdded` - True, if the bot was explicitly added by the user. If the bot isn't added, then on the first bot launch toggleBotIsAddedToAttachmentMenu must be called and the bot must be added or removed.
      `showInAttachmentMenu` - True, if the bot must be shown in the attachment menu.
      `showInSideMenu` - True, if the bot must be shown in the side menu.
      `showDisclaimerInSideMenu` - True, if a disclaimer, why the bot is shown in the side menu, is needed.
      `name` - Name for the bot in attachment menu.
      `nameColor` - Color to highlight selected name of the bot if appropriate; may be null.
      `defaultIcon` - Default icon for the bot in SVG format; may be null.
      `iosStaticIcon` - Icon for the bot in SVG format for the official iOS app; may be null.
      `iosAnimatedIcon` - Icon for the bot in TGS format for the official iOS app; may be null.
      `iosSideMenuIcon` - Icon for the bot in PNG format for the official iOS app side menu; may be null.
      `androidIcon` - Icon for the bot in TGS format for the official Android app; may be null.
      `androidSideMenuIcon` - Icon for the bot in SVG format for the official Android app side menu; may be null.
      `macosIcon` - Icon for the bot in TGS format for the official native macOS app; may be null.
      `macosSideMenuIcon` - Icon for the bot in PNG format for the official macOS app side menu; may be null.
      `iconColor` - Color to highlight selected icon of the bot if appropriate; may be null.
      `webAppPlaceholder` - Default placeholder for opened Web Apps in SVG format; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR